#include<iostream>
#include<algorithm>
#include<iomanip>
using namespace std;

struct struktura
{
    double zarada;
    double porez;
};


bool uporedi(struktura a, struktura b)
{
        return a.porez < b.porez;
}

int main()
{
    int n;
    cin>>n;
    struktura frilenser[n];
    double maxPara=0.0000;
    double finito=0.0000;
    
    for(int i=0; i<n; i++)
    {
        cin>>frilenser[i].zarada;
        cin>>frilenser[i].porez;
    }
    
    sort(frilenser, frilenser + n, uporedi);
    
    for(int i=0; i<n; i++)
    {
        maxPara = 0.0000;
        for(int j=i; j<n; j++)
        {
            maxPara += frilenser[j].zarada*frilenser[i].porez/100.0000;
        }
        if(maxPara > finito)
        {
            finito = maxPara;
        }
    }
    printf("%.4lf", finito);
}